# zmq_ctx_new(3) Manual Page

## NAME

zmq_ctx_new - create new 0MQ context

## SYNOPSIS

void *zmq_ctx_new ();

## DESCRIPTION

The zmq_ctx_new() function creates a new ØMQ context.

This function replaces the deprecated function zmq_init(3).

Thread safety

A ØMQ context is thread safe and may be shared among as many application threads as necessary, without any additional locking required on the part of the caller.

## RETURN VALUE

The zmq_ctx_new() function shall return an opaque handle to the newly created context if successful. Otherwise it shall return NULL and set errno to one of the values defined below.

## ERRORS

No error values are defined for this function.

## SEE ALSO

zmq(7) zmq_ctx_set(3) zmq_ctx_get(3) zmq_ctx_destroy(3)

## AUTHORS

This ØMQ manual page was written by Pieter Hintjens <ph@imatix.com>